Subject: bug#8434: New public branch "java-work" (was: Re: [PATCH] java: allow both dist_JAVA and nodist_JAVA in the same Makefile.am)

From: Stefano Lattarini <[email-masked]>
Date: Sat, 23 Apr 2011 10:15:03 +0200

On Monday 18 April 2011, Stefano Lattarini wrote:
> On Saturday 09 April 2011, Ralf Wildenhues wrote:
> > Hi Stefano,
> > 
> > * Stefano Lattarini wrote on Wed, Apr 06, 2011 at 09:00:32PM CEST:
> > > Currently, limitations in the Automake support for java enforce the
> > > restriction that only one `_JAVA' primary can be used in a given
> > > Makefile.am.
> > 
> > > This bug is particularly annoying because *.java files listed with
> > > the `JAVA' primary are not included by default in the distribution.
> > > 
> > > Ganted, one can always use EXTRA_DIST to work around this issue,
> > > but it would be nice if things Just Worked.
> > 
> > Agreed on all accounts.  Do you see a way to fix this, for arbitrary
> > dependency structure between the java classes?
> > 
> > Thanks for the bug report,
> > Ralf
> > 
> Attached is a patch that fixes the problem.  OK for a new 'java-work'
> branch based off of the right maint-based commits (as to make new
> tests like 'java-extra.test' and `java-noinst.test' available)?  We
> can decide at a later date whether this branch has to be merged into
> maint or into master only.
> 
> I'll push in 72 hours if there is no objection.
> 
> Regards,
>    Stefano
> 
I've pushed this patch to a new public branch "java-work".  This new
branch is meant to be merged into either master or maint eventually
(which one exactly is still to be decided).  So, merging maint into
java-work should be ok at any moment, but master shouldn't be merged
into it.

Regards,
  Stefano